- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::ProbingMuOracle Class Reference

Implementation of the probing strategy for computing the barrier parameter. More...

`#include <IpProbingMuOracle.hpp>`

Inheritance diagram for Ipopt::ProbingMuOracle:

[legend]
Collaboration diagram for Ipopt::ProbingMuOracle:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
virtual bool | CalculateMu (Number mu_min, Number mu_max, Number &new_mu)
| Method for computing the value of the barrier parameter that could be used in the current iteration (using Mehrotra's probing heuristic).
Constructors/Destructors
| ProbingMuOracle (const SmartPtr< PDSystemSolver > &pd_solver)
| Constructor.
virtual | ~ProbingMuOracle ()
| Default destructor.
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods for IpoptType.
## Private Member Functions
Number | CalculateAffineMu (Number alpha_primal, Number alpha_dual, const IteratesVector &step)
| Auxilliary function for computing the average complementarity at a point, given step sizes and step.
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| ProbingMuOracle ()
| Default Constructor.
| ProbingMuOracle (const ProbingMuOracle &)
| Copy Constructor.
void | operator= (const ProbingMuOracle &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< PDSystemSolver > | pd_solver_
| Pointer to the object that should be used to solve the primal-dual system.
Algorithmic parameters
Number | sigma_max_
| safeguarding upper bound on centering parameter sigma

## Detailed Description

Implementation of the probing strategy for computing the barrier parameter.

Definition at line 21 of file IpProbingMuOracle.hpp.

## Constructor & Destructor Documentation

Ipopt::ProbingMuOracle::ProbingMuOracle | ( | const SmartPtr< PDSystemSolver > & | pd_solver | ) |

Constructor.

virtual Ipopt::ProbingMuOracle::~ProbingMuOracle | ( |  | ) | `[virtual]`

Default destructor.

Ipopt::ProbingMuOracle::ProbingMuOracle | ( |  | ) | `[private]`

Default Constructor.

Ipopt::ProbingMuOracle::ProbingMuOracle | ( | const ProbingMuOracle & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::ProbingMuOracle::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::MuOracle.

virtual bool Ipopt::ProbingMuOracle::CalculateMu | ( | Number | mu_min,
|  | Number | mu_max,
|  | Number & | new_mu |
| ) |  |  | `[virtual]`

Method for computing the value of the barrier parameter that could be used in the current iteration (using Mehrotra's probing heuristic).

Implements Ipopt::MuOracle.

static void Ipopt::ProbingMuOracle::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

Methods for IpoptType.

void Ipopt::ProbingMuOracle::operator= | ( | const ProbingMuOracle & |  | ) | `[private]`

Overloaded Equals Operator.

Number Ipopt::ProbingMuOracle::CalculateAffineMu | ( | Number | alpha_primal,
|  | Number | alpha_dual,
|  | const IteratesVector & | step |
| ) |  |  | `[private]`

Auxilliary function for computing the average complementarity at a point, given step sizes and step.

## Member Data Documentation

SmartPtr<PDSystemSolver> Ipopt::ProbingMuOracle::pd_solver_`[private]`

Pointer to the object that should be used to solve the primal-dual system.

Definition at line 69 of file IpProbingMuOracle.hpp.

Number Ipopt::ProbingMuOracle::sigma_max_`[private]`

safeguarding upper bound on centering parameter sigma

Definition at line 81 of file IpProbingMuOracle.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpProbingMuOracle.hpp